=== debian/changelog ===
spice-gtk (0.42-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control, d/rules: Implement nodoc build-profile
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Salsa CI: don't run fileordering reproducible test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:11:10 -0400

spice-gtk (0.42-3) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update gir handling
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 14:34:48 -0400

spice-gtk (0.42-2.1) unstable; urgency=medium

  * debian/control: Remove hard-coded dependencies on libusbredirhost1 and
    libusbredirparser1 from spice-client-gtk. libspice-client-glib-2.0-8
    properly links and depends on the correct libraries. (Closes: #1068598)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Apr 2024 16:22:29 +0200

spice-gtk (0.42-2) unstable; urgency=medium

  * debian/control.in: Include version with remmina-plugin-spice Breaks.
    A newer version has switched to libsoup3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 May 2023 07:06:47 -0400

spice-gtk (0.42-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libcap-ng-dev
  * debian/contorl.in: Bump minimum meson to 0.56
  * debian/rules: Set -Dauto_features=enabled
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 10:35:25 -0500
