=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.spice-space.org/download/gtk/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
